net.i2p.router.web

## Class HelperBase

- java.lang.Object
- - net.i2p.router.web.HelperBase

- Direct Known Subclasses:
    ConfigAdvancedHelper, ConfigClientsHelper, ConfigKeyringHelper, ConfigLoggingHelper, ConfigNavHelper, ConfigNetHelper, ConfigPeerHelper, ConfigReseedHelper, ConfigStatsHelper, ConfigTunnelsHelper, ConfigUIHelper, ConfigUpdateHelper, ContentHelper, CSSHelper, JobQueueHelper, LogsHelper, NetDbHelper, OldConsoleHelper, PeerHelper, ProfilesHelper, ReseedHandler, StatHelper, SummaryHelper, TunnelHelper

      public abstract class HelperBase
      extends Object

  Base helper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RouterContext` | `_context`
    `protected Writer` | `_out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelperBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `_(String s)` translate a string
    `String` | `_(String s, Object o)` translate a string with a parameter This is a lot more expensive than _(s), so use sparingly.
    `String` | `_(String s, Object o, Object o2)` two params @since 0.7.14
    `static String` | `_x(String s)` Mark a string for extraction by xgettext and translation.
    `String` | `ngettext(String s, String p, int n)` translate (ngettext) @since 0.7.14
    `void` | `setContextId(String contextId)` Configure this bean to query a particular router context
    `void` | `storeWriter(Writer out)` Renamed from setWriter, we realy don't want setFoo(non-String) Prevent jsp.error.beans.property.conversion 500 error for ?writer=foo

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _context

          protected RouterContext _context

    - #### _out

          protected Writer _out

  - ### Constructor Detail

    - #### HelperBase

          public HelperBase()

  - ### Method Detail

    - #### setContextId

          public void setContextId(String contextId)

      Configure this bean to query a particular router context
      Parameters:
        `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

    - #### storeWriter

          public void storeWriter(Writer out)

      Renamed from setWriter, we realy don't want setFoo(non-String) Prevent jsp.error.beans.property.conversion 500 error for ?writer=foo
      Since:
        0.8.2

    - #### _

          public String _(String s)

      translate a string

    - #### _

          public String _(String s,
                 Object o)

      translate a string with a parameter This is a lot more expensive than _(s), so use sparingly.
      Parameters:
        `s` - string to be translated containing {0} The {0} will be replaced by the parameter. Single quotes must be doubled, i.e. ' -> '' in the string.
        `o` - parameter, not translated. To tranlslate parameter also, use _("foo {0} bar", _("baz")) Do not double the single quotes in the parameter. Use autoboxing to call with ints, longs, floats, etc.

    - #### _

          public String _(String s,
                 Object o,
                 Object o2)

      two params @since 0.7.14

    - #### ngettext

          public String ngettext(String s,
                        String p,
                        int n)

      translate (ngettext) @since 0.7.14

    - #### _x

          public static String _x(String s)

      Mark a string for extraction by xgettext and translation. Use this only in static initializers. It does not translate!
      Returns:
        s